xine-lib: ff_vaapi_context_s Struct Reference

xine-lib 1.2.12

Data Fields
ff_vaapi_context_s Struct Reference

`#include <accel_vaapi.h>`

## Data Fields
VADisplay | va_display
VAContextID | va_context_id
VAConfigID | va_config_id
int | width
int | height
unsigned int | valid_context
VASurfaceID * | va_surface_ids
ff_vaapi_surface_t * | va_render_surfaces
unsigned int | va_head
vo_driver_t * | driver
VAImageFormat * | va_image_formats
int | va_num_image_formats

## Field Documentation

## ◆ driver

vo_driver_t* ff_vaapi_context_s::driver

Referenced by _alloc_frame(), _get_instance(), and vaapi_initialize().

## ◆ height

int ff_vaapi_context_s::height

Referenced by _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_init(), vaapi_display_frame(), vaapi_hardware_render_frame(), and vaapi_ovl_associate().

## ◆ va_config_id

VAConfigID ff_vaapi_context_s::va_config_id

Referenced by _x_va_close(), _x_va_init(), and _x_va_reset_va_context().

## ◆ va_context_id

VAContextID ff_vaapi_context_s::va_context_id

Referenced by _x_va_close(), _x_va_init(), and _x_va_reset_va_context().

## ◆ va_display

VADisplay ff_vaapi_context_s::va_display

Referenced by _x_va_alloc_surface(), _x_va_close(), _x_va_create_image(), _x_va_destroy_image(), _x_va_destroy_render_surfaces(), _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_free(), _x_va_init(), _x_va_new(), _x_va_profile_from_imgfmt(), vaapi_close(), vaapi_create_subpicture(), vaapi_destroy_soft_surfaces(), vaapi_destroy_subpicture(), vaapi_display_attribs(), vaapi_display_frame(), vaapi_hardware_render_frame(), vaapi_init_internal(), vaapi_init_soft_surfaces(), vaapi_initialize(), vaapi_ovl_associate(), vaapi_property_callback(), vaapi_set_background_color(), vaapi_set_property(), vaapi_software_render_frame(), and vaapi_update_csc().

## ◆ va_head

unsigned int ff_vaapi_context_s::va_head

## ◆ va_image_formats

VAImageFormat* ff_vaapi_context_s::va_image_formats

Referenced by _x_va_create_image(), _x_va_free(), and _x_va_new().

## ◆ va_num_image_formats

int ff_vaapi_context_s::va_num_image_formats

Referenced by _x_va_create_image(), _x_va_free(), and _x_va_new().

## ◆ va_render_surfaces

ff_vaapi_surface_t* ff_vaapi_context_s::va_render_surfaces

Referenced by _x_va_accel_get_vaapi_surface(), _x_va_alloc_surface(), _x_va_destroy_render_surfaces(), _x_va_frame_displayed(), _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_init(), _x_va_new(), _x_va_reset_va_context(), and vaapi_display_frame().

## ◆ va_surface_ids

VASurfaceID* ff_vaapi_context_s::va_surface_ids

Referenced by _x_va_destroy_render_surfaces(), _x_va_init(), _x_va_new(), _x_va_reset_va_context(), vaapi_init_internal(), and vaapi_ovl_associate().

## ◆ valid_context

unsigned int ff_vaapi_context_s::valid_context

Referenced by _x_va_close(), _x_va_init(), _x_va_reset_va_context(), vaapi_close(), vaapi_create_subpicture(), vaapi_display_frame(), vaapi_hardware_render_frame(), vaapi_overlay_begin(), vaapi_overlay_end(), vaapi_ovl_associate(), vaapi_set_background_color(), vaapi_set_property(), and vaapi_software_render_frame().

## ◆ width

int ff_vaapi_context_s::width

Referenced by _x_va_frame_duplicate_frame_data(), _x_va_frame_provide_standard_frame_data(), _x_va_init(), vaapi_display_frame(), vaapi_hardware_render_frame(), and vaapi_ovl_associate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/accel_vaapi.h